package com.jusfoun.ydylsz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.pojo.KshHlhtKuquInfo;
import com.jusfoun.ydylsz.pojo.KshHlhtXzqh;
import com.jusfoun.ydylsz.vo.in.KshHlhtSbxxInputVo;

@Mapper
public interface KshHlhtNktMapper {

	List<KshHlhtKuquInfo> queryList(KshHlhtSbxxInputVo vo);

	Long queryTotalCount(KshHlhtSbxxInputVo vo);

	void checkKuquInfo(@Param("id") Integer id,@Param("zt") String zt);

	void updateKuquInfo(KshHlhtKuquInfo info);

	KshHlhtKuquInfo viewTuPian(@Param("id") Integer id);

	KshHlhtXzqh queryResource(@Param("resId") String resId);

	List<KshHlhtKuquInfo> queryKqxxInfo(@Param("kqmc") String kqmc);

	void updateSbxxByKqdm(KshHlhtKuquInfo info);

	String selectByKqdm(String kqdm);
}
