package com.jusfoun.ydylsz.mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.vo.*;
import com.jusfoun.ydylsz.vo.in.CameraStatisticsVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.pojo.KshHlhtKuquInfo;
import com.jusfoun.ydylsz.pojo.KshHlhtSbxx;
import com.jusfoun.ydylsz.pojo.KshHlhtXzqh;
import com.jusfoun.ydylsz.pojo.KshHlhtZzsbgl;
import com.jusfoun.ydylsz.vo.in.KshHlhtSbxxInputVo;

@Mapper
public interface KshHlhtSbxxMapper {

	Long queryTotalCount(KshHlhtSbxxInputVo vo);

	List<KshHlhtSbxx> queryList(KshHlhtSbxxInputVo vo);

	void insertKshHlhtSbxx(KshHlhtSbxx bean);

	void updateKshHlhtSbxx(KshHlhtSbxx bean);

	KshHlhtSbxx viewKshHlhtSbxx(@Param("id") Integer id);

	List<KshHlhtSbxx> sbxxExportExcel(KshHlhtSbxxInputVo vo);

	KshHlhtSbxx queryBySbId(@Param("gbIndexCode") String gbIndexCode);

	void saveKuquInfo(KshHlhtKuquInfo info);

	List<KshHlhtSbxx> querySbxxList(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize, @Param("list") List list, @Param("list2") List list2);

	List<KshHlhtSbxx> queryListBySbxx(KshHlhtSbxxInputVo vo);

	void updateKshHlhtSbxxBySbId(KshHlhtSbxx info);

	KshHlhtXzqh queryByCodeId(@Param("name") String name, @Param("type") Integer type);

	String queryByClassId(@Param("zzjgId") Integer zzjgId);

	List<KshHlhtZzsbgl> queryByZzId(@Param("classStrId") String classStrId);

	Integer queryByZzjgMc(@Param("zzjgmc") String zzjgmc);

	Integer queryByZzSbgl(@Param("id") Integer id, @Param("zzjgId") Integer zzjgId);

	List<KshHlhtXzqh> queryKqbm(@Param("kqbm") String kqbm);

	List<KshHlhtXzqh> queryByKqmc();

	Integer queryCount(@Param("list1") List list1);

	List<String> queryListStrSbId(@Param("zzjgId") String zzjgId);

	void deleteListStrBySbId(@Param("newSbInfoId") List newSbInfoId);

	Page<CameraMalfunctionDO> selectCameraMalfunctionList(Map<String, Object> params);

	void insertCameraMalfunction(CameraMalfunctionVO cameraMalfunctionVO);

	String getKqdmForCameraMalfunctionByKqbm(@Param("kqbm") String kqbm);

	List<CameraStatisticsVO> queryCameraPreviewStatusForSj(CameraStatisticsVO vo);

	List<CameraStatisticsVO> queryCameraPreviewStatusForQy(CameraStatisticsVO vo);

	List<CameraStatisticsVO> queryCameraPreviewStatusForKd(CameraStatisticsVO vo);

	List<CameraStatisticsVO> queryCameraPreviewStatusForFl(CameraStatisticsVO vo);

	int insertCameraPreviewStatus(CameraStatistics cameraStatistics);

	int deleteCameraPreviewStatusByXxcjsj(@Param("from") String from, @Param("to") String to);

	String sleectImagePath(@Param("resId") String resId);

	List<OpsOffLineCameraVO> selectCameras(Map<String, String> stringStringMap);

	List<OpsOffLineDO> selectByFids(@Param(value = "collect") List<Long> collect);

	List<OpsOffLineCameraVO> selectByMainId(OpsOffLineCameraVO queryCamera);

	List<WorkOrderVO> selectByOpsOffLineFid(@Param(value = "collect") List<Long> collect);

	WorkOrderVO countSubTabByFid(Long fid);

	WorkOrderVO selectByYwxxgdid(Long ywxxgdid);

	OpsOffLineDO selectByLxtzdid(Long lxtzdid);

	List<CameraMalfunctionVO> selectCameraByKqmcAndSbrq(CameraMalfunctionVO cameraMalfunctionVO);

	Page<CameraMalfunctionDTO> selectCameraMalfunctionDetailList(Map<String, Object> params);

	List<CameraStatisticsVO> queryCamerasPreviewStatus(CameraStatisticsVO vo);
}
