package com.jusfoun.ydylsz.util;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.github.pagehelper.Page;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
* @ClassName: PageUtils  
* @Description:   分页工具类 vue定制
* @author ldq  
* @date 2018年4月13日  
*  
* @param <T>
 */
@Data
@ApiModel(value="分页出参说明")
public class PageUtils<T> implements Serializable {
    private static final long serialVersionUID = 8656597559014685635L;
    @ApiModelProperty(value="数据总数")
    private long total;        //总记录数
    @ApiModelProperty(value="数据结果集")
    private List<T> list;    //结果集
    
	public List<Map> mapListData;

    private long childsTotal;
}