package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Classname CameraAreas
 * @Description 摄像头区域
 * @Date 2023/12/14 15:40
 * @Created by rising123sun
 */
@Data
//@Table(name = "camera_areas")
@ApiModel(value = "摄像头区域")
public class CameraAreas {

//    @Id
//    @ApiModelProperty(value = "主键", notes = "主键")
//    private String id;
//
//    @Column(name = "text")
//    @ApiModelProperty(value = "区域名称", notes = "区域名称")
//    private String text;
//
//    @Column(name = "label")
//    @ApiModelProperty(value = "标签", notes = "标签")
//    private String label;
//
//    @Column(name = "pId")
//    @ApiModelProperty(value = "父级ID", notes = "父级ID")
//    private String pId;
//
//    @Column(name = "cls")
//    @ApiModelProperty(value = "cls", notes = "cls")
//    private String cls;
//
//    @Column(name = "leaf")
//    @ApiModelProperty(value = "是否叶子节点", notes = "是否叶子节点")
//    private Boolean leaf;
//
//    @Column(name = "isDefault")
//    @ApiModelProperty(value = "是否默认", notes = "是否默认")
//    private Boolean isDefault;
//
//    @Column(name = "iscascade")
//    @ApiModelProperty(value = "是否级联", notes = "是否级联")
//    private String iscascade;
//
//    @Column(name = "isParent")
//    @ApiModelProperty(value = "是否父级", notes = "是否父级")
//    private Boolean isParent;
//
//    @Column(name = "state")
//    @ApiModelProperty(value = "状态", notes = "状态")
//    private String state;
//
//    @Column(name = "iconSkin")
//    @ApiModelProperty(value = "图标", notes = "图标")
//    private String iconSkin;
//
//    @Column(name = "iconCls")
//    @ApiModelProperty(value = "图标样式", notes = "图标样式")
//    private String iconCls;
//
//    @Column(name = "checked")
//    @ApiModelProperty(value = "是否选中", notes = "是否选中")
//    private Boolean checked;
//
//    @Column(name = "key")
//    @ApiModelProperty(value = "key", notes = "key")
//    private Integer key;
//
//    @Column(name = "open")
//    @ApiModelProperty(value = "是否打开", notes = "是否打开")
//    private Boolean open;
//
//    @Column(name = "parent_id")
//    @ApiModelProperty(value = "父级ID", notes = "父级ID")
//    private String parentId;
//
//    @Column(name = "org_code")
//    @ApiModelProperty(value = "区域代码", notes = "区域代码")
//    private String orgCode;

    /*

     */
    @Column(name = "fid")
    private Long fid;

    @Column(name = "status")
    private int status = 1;


    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    @Column(name = "create_date")
    private Date createDate = new Date();

    @Column(name = "org_code")
    private String orgCode;

    @Column(name = "relate_org")
    private String relateOrg;

    @Column(name = "tyshxydm")
    private String tyshxydm;

    @Column(name = "relate_tyshxydm")
    private String relateTyshxydm;

    @Column(name = "org_name")
    private String orgName;

    @Column(name = "relate_org_name")
    private String relateOrgName;

}
