package com.jusfoun.ydylsz.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Data
@ApiModel(value = "DXP_POINT--图片标点信息数据接口")
@Table(name="DXP_POINT")
public class PointVO {
    @Id
    private Long id; //id db_column: ID
    private String index;//相关关联
    private String kqbh; //对应的图片和库区编号
    private String styles; //对应的图片和库区编号
    private String areaItem; //位置信息
    private String type; //类型 0 仓库 1 摄像头
    private String cTime;
    private String uTime;
    private String name;
    private DXPCFXXVO dxpcfxxvo;
    
    private String strPoint;  // 描点信息数据放到json数组里
    
    private String str1Point;  // 描点信息数据放到json数组里
    
    private String delPoint;  // 删除描点信息放到json数组里
    
    private String del1Point;  // 删除描点信息放到json1数组里

}
