package com.jusfoun.ydylsz.vo.in;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel(value = "入参")
public class KshHlhtSbxxInVo implements java.io.Serializable{
	
	@ApiModelProperty(value = "id")
	private Integer id;
	
	@ApiModelProperty(value = "设备Id")
	private String sbId; 
	
	@ApiModelProperty(value = "组织机构名称")
	private String zzjgMc; 
	
	@ApiModelProperty(value = "统一信用代码")
	private String tyxydm;
	
	@ApiModelProperty(value = "库区名称")
	private String kqmc;
	
	@ApiModelProperty(value = "库区地址")
	private String kqdz;
	
	@ApiModelProperty(value = "库区类型   "
			+ "取值范围从1-9，示范库（1），储备库（2），"
			+ "收纳库（3），其它（9）")
	private Integer kqlx;	
	
	@ApiModelProperty(value = "设备年瞰图")
	private String sbnkt;
	
	@ApiModelProperty(value = "安装位置类型")
	private String azwwlx; 
	
	@ApiModelProperty(value = "设备功能类型 固定枪机（01），"
			+ "球机（02），车辆卡口（03），人脸抓拍机（04），"
			+ "高空（05），AR（06），RFID采集设备（07），"
			+ "MAC采集设备（08），其它（99）")
	private String sbgnlx;
	
	@ApiModelProperty(value = "监视区域说明")
	private String jsqysm;
	
	@ApiModelProperty(value = "是否在线 0：在线；1离线")
	private Integer sfzx;
	
	@ApiModelProperty(value = "经度")
    private Double jd;	
	
	@ApiModelProperty(value = "纬度")
	private Double wd;
	
	@ApiModelProperty(value = "省")
	private String sheng; 
	
	@ApiModelProperty(value = "市")
	private String shi; 
	
	@ApiModelProperty(value = "县")
	private String xian; 
	
	@ApiModelProperty(value = "用户id")
	private String yhid; 
	
	@ApiModelProperty(value = "创建时间")
	private Date cjsj;
	
	@ApiModelProperty(value = "监控点编码")
	private String jkdbm;
	
	@ApiModelProperty(value = "监控名称")
	private String jkdmc;
	
	@ApiModelProperty(value = "组织机构代码")
	private String zzjgdm;
	
	@ApiModelProperty(value = "库区编码")
	private String kqbm;
	
}
