package com.jusfoun.ydylsz.vo.in;

import java.util.Date;
import java.util.List;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "入参")
public class KshHlhtSbxxInputVo extends QueryVo{
	
	@ApiModelProperty(value = "id")
	private java.lang.Integer id;
	
	@ApiModelProperty(value = "组织结构Id")
	private java.lang.Integer zzjgId;
	
	@ApiModelProperty(value = "设备Id")
	private java.lang.String sbId;  
	
	@ApiModelProperty(value = "安装位置类型")
	private java.lang.String azwwlx; 
	
	@ApiModelProperty(value = "设备功能类型 固定枪机（01），"
			+ "球机（02），车辆卡口（03），人脸抓拍机（04），"
			+ "高空（05），AR（06），RFID采集设备（07），"
			+ "MAC采集设备（08），其它（99）")
	private java.lang.String sbgnlx;
	
	@ApiModelProperty(value = "省")
	private java.lang.String sheng; 
	
	@ApiModelProperty(value = "市")
	private java.lang.String shi; 
	
	@ApiModelProperty(value = "县")
	private java.lang.String xian; 
	
	@ApiModelProperty(value = "是否在线 0：在线；1离线")
	private java.lang.String sfzx; 
	
	@ApiModelProperty(value = "用户Id")
	private java.lang.String yhid; 
	
	@ApiModelProperty(value = "区分组织结构 1,自定义查询 2")
	private java.lang.Integer lx; 
	
	private List List;
	
	private String zzId;

	private String jkdbm;

	private String zzjgdm;
}
