package com.jusfoun.ydylsz.mapper;

import java.util.List;

import com.jusfoun.ydylsz.pojo.NodeTemp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.jusfoun.ydylsz.pojo.KshHlhtXzqh;
import com.jusfoun.ydylsz.pojo.TreeNode;
import com.jusfoun.ydylsz.vo.in.KshHlhtScfzInVo;

@Mapper
public interface KshHlhtZzjgMapper {

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 获取所有节点
	 * @Date 2020年6月27日 上午10:40:40
	 * @param zid
	 * @return List<TreeNode>
	 */
	List<TreeNode> queryAllChildList();
	
	List<TreeNode> queryParentId(@Param("yhid") Integer yhid);

	List<TreeNode> queryChildListById(@Param("zid") String zid);

	void insertKshHlhtScfz(KshHlhtScfzInVo vo);

	TreeNode queryById(@Param("regionIndexCode") String regionIndexCode);

	List<KshHlhtXzqh> queryList(@Param("yhid") Integer yhid);

	void insertClassZzjg(KshHlhtScfzInVo vo);

	List<TreeNode> queryClassStrId(@Param("zzjgId") String zzjgId);

	List<TreeNode> queryClassParentId(@Param("zid") String zid);

    void updateKshHlhtScfz(TreeNode treeNode1);

    void saveTemp(NodeTemp nodeTemp);

	void deleteTemp();

	List<NodeTemp> selectTemp(String id);

	List<NodeTemp> selectTempAN();

	List<NodeTemp> selectTempYN();

	List<NodeTemp> queryListTemp(@Param("indexCode") String indexCode);

	List<NodeTemp> queryKqmcByTrue(@Param("regionIndexCode") String regionIndexCode);

	List<TreeNode> queryByZzjgmc(@Param("stdname") String stdname);

	List<NodeTemp> selectTempJs();

	List<NodeTemp> selectTempGZ();

	List<NodeTemp> selectTempHead(@Param("zid") String zid);

	List<TreeNode> queryAllChildStrList();

	void deleteKshHlhtMainScfz(String id);

	void deleteKshHlhtSonScfz(String id);

	String queryClassGovCode(@Param("yhid") String yhid);
}
