package com.jusfoun.ydylsz.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.jusfoun.ydylsz.controller.KshHlhtZzjgController;
import com.jusfoun.ydylsz.util.DateTool;

@Component
@Configurable
@EnableScheduling
public class HaiKangSynchronizationService {
	
	@Autowired
	private KshHlhtZzjgController hlhtzzjg;

	private static Logger logger= LoggerFactory.getLogger(HaiKangSynchronizationService.class);
	
	@Scheduled(cron = "0 0 0 ? * SAT")//每周六半夜12点
	public void dowork()  throws Exception{
	  String sign = DateTool.getSysDateTimeStr();	
	  logger.info("---推送开始------",sign);
	  execute(sign);
	  logger.info("---推送结束------",sign);
	}

	private void execute(String sign) {
		
		// hlhtzzjg.synchronizationHand("");
				
	}
}
