package com.jusfoun.ydylsz.util;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import com.jusfoun.ydylsz.pojo.TreeNode;

/**
 * 类名称：MenuTreeUtil 类描述：递归构造树型结构
 */
public class MenuTreeUtil {

	public static Map<String, Object> mapArray = new LinkedHashMap<String, Object>();
	public List<TreeNode> menuCommon;
	public List<Object> list = new ArrayList<Object>();

	public List<Object> menuList(List<TreeNode> menu, String topPid) {
		this.menuCommon = menu;
		for (TreeNode x : menu) {
			Map<String, Object> mapArr = new LinkedHashMap<String, Object>();
			if (x.getZid().equals(topPid)) {
				mapArr.put("id", x.getId());
				mapArr.put("zid", x.getZid());
				mapArr.put("zzmc", x.getZzmc());
				mapArr.put("fid", x.getFid());
				mapArr.put("children", menuChild(x.getZid()));
				list.add(mapArr);
			}
		}
		return list;
	}

	public List<?> menuChild(String zid) {
		List<Object> lists = new ArrayList<Object>();
		for (TreeNode x : menuCommon) {
			Map<String, Object> childArray = new LinkedHashMap<String, Object>();
			if (x.getFid().contentEquals(zid)) {
				childArray.put("id", x.getId());
				childArray.put("zid", x.getZid());
				childArray.put("zzmc", x.getZzmc());
				childArray.put("fid", x.getFid());
				childArray.put("children", menuChild(x.getZid()));
				lists.add(childArray);
			}
		}
		return lists;
	}

}
