package	com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import javax.persistence.Table;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;
import com.jusfoun.ydylsz.vo.in.base.QueryVo;

import java.util.List;

@Data
@ApiModel(value = "DXP_CFXX--表4-4 仓房信息数据接口")
@Table(name="DXP_CFXX")
public class DXPCFXXVO extends QueryVo{

	@ApiModelProperty(value = "仓房编码")
	private	String cfbh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓房名称")
	private	String cfmc;	//db_column:cfmc	note:仓房名称

	@ApiModelProperty(value = "货位编码")
	private	String hwbm;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "货位编码")
	private	String hwbh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "货位名称")
	private	String hwmc;	//db_column:cfmc	note:仓房名称

	@ApiModelProperty(value = "库区编码")
	private	String kqbh;	//db_column:kqbh	note:库区编码

	@ApiModelProperty(value = "仓房类型编码")
	private	String cflxnm;	//db_column:cflxnm	note:仓房类型编码

	@ApiModelProperty(value = "仓房类型名称")
	private	String cflxmc;	//db_column:cflxmc	note:仓房类型名称

	@ApiModelProperty(value = "交付使用日期")
	private	String jfsyrq;	//db_column:jfsyrq	note:交付使用日期

	@ApiModelProperty(value = "墙体结构")
	private	String qtjg;	//db_column:qtjg	note:墙体结构

	@ApiModelProperty(value = "房顶结构")
	private	String fdjg;	//db_column:fdjg	note:房顶结构

	@ApiModelProperty(value = "房架结构")
	private	String fjjg;	//db_column:fjjg	note:房架结构

	@ApiModelProperty(value = "地面结构")
	private	String dmjg;	//db_column:dmjg	note:地面结构

	@ApiModelProperty(value = "设计仓容")
	private	String sjcr;	//db_column:sjcr	note:设计仓容

	@ApiModelProperty(value = "仓外长")
	private	String cwc;	//db_column:cwc	note:仓外长

	@ApiModelProperty(value = "仓外宽")
	private	String cwk;	//db_column:cwk	note:仓外宽

	@ApiModelProperty(value = "仓外檐高")
	private	String cwyg;	//db_column:cwyg	note:仓外檐高

	@ApiModelProperty(value = "仓外顶高")
	private	String cwdg;	//db_column:cwdg	note:仓外顶高

	@ApiModelProperty(value = "筒仓外径")
	private	String cwtcwj;	//db_column:cwtcwj	note:筒仓外径

	@ApiModelProperty(value = "仓内长")
	private	String cnc;	//db_column:cnc	note:仓内长

	@ApiModelProperty(value = "仓内宽")
	private	String cnk;	//db_column:cnk	note:仓内宽

	@ApiModelProperty(value = "仓内檐高")
	private	String cnyg;	//db_column:cnyg	note:仓内檐高

	@ApiModelProperty(value = "仓内装粮线高")
	private	String cnzlxg;	//db_column:cnzlxg	note:仓内装粮线高

	@ApiModelProperty(value = "实际装粮线高")
	private	String sjzlxg;	//db_column:sjzlxg	note:实际装粮线高

	@ApiModelProperty(value = "筒仓内径")
	private	String cntcnj;	//db_column:cntcnj	note:筒仓内径

	@ApiModelProperty(value = "仓内体积")
	private	String cntj;	//db_column:cntj	note:仓内体积

	@ApiModelProperty(value = "粮堆体积")
	private	String ldtj;	//db_column:ldtj	note:粮堆体积

	@ApiModelProperty(value = "仓门数量")
	private	String cmsl;	//db_column:cmsl	note:仓门数量

	@ApiModelProperty(value = "仓门位置")
	private	String cmwz;	//db_column:cmwz	note:仓门位置

	@ApiModelProperty(value = "仓门高度")
	private	String cmgd;	//db_column:cmgd	note:仓门高度

	@ApiModelProperty(value = "仓门宽度")
	private	String cmkd;	//db_column:cmkd	note:仓门宽度

	@ApiModelProperty(value = "仓房是否完好")
	private	String cfsfwh;	//db_column:cfsfwh	note:仓房是否完好

	@ApiModelProperty(value = "能否隔热保温")
	private	String grbwcs;	//db_column:nfgrbw	note:能否隔热保温

	@ApiModelProperty(value = "能否隔热保温")
	private	String nfgrbw;	//db_column:nfgrbw	note:能否隔热保温

	@ApiModelProperty(value = "能否散装储存")
	private	String nfszcc;	//db_column:nfszcc	note:能否散装储存

	@ApiModelProperty(value = "有无防鼠防雀防虫装置及设施")
	private	String ywfsfqfczz;	//db_column:ywfsfqfczz	note:有无防鼠防雀防虫装置及设施

	@ApiModelProperty(value = "有无防火防爆防盗措施")
	private	String ywfhfbfdss;	//db_column:ywfhfbfdss	note:有无防火防爆防盗措施

	@ApiModelProperty(value = "有无粮情检测设施")
	private	String ywlqjcss;	//db_column:ywlqjcss	note:有无粮情检测设施

	@ApiModelProperty(value = "有无机械通风设施")
	private	String ywjxtfss;	//db_column:ywjxtfss	note:有无机械通风设施

	@ApiModelProperty(value = "能否环流熏蒸杀虫")
	private	String nfhlxzsc;	//db_column:nfhlxzsc	note:能否环流熏蒸杀虫

	@ApiModelProperty(value = "能否富氮低氧气调储粮")
	private	String nffddyqtcl;	//db_column:nffddyqtcl	note:能否富氮低氧气调储粮

	@ApiModelProperty(value = "能否仓外测虫")
	private	String nfcwcc;	//db_column:nfcwcc	note:能否仓外测虫

	@ApiModelProperty(value = "利用情况")
	private	String lyqk;	//db_column:lyqk	note:利用情况

	@ApiModelProperty(value = "仓房使用情况")
	private	String cfsyqk;	//db_column:cfsyqk	note:仓房使用情况

	@ApiModelProperty(value = "仓房状态")
	private	String cfzt;	//db_column:cfzt	note:仓房状态

	@ApiModelProperty(value = "仓房经度")
	private	String jd;	//db_column:jd	note:仓房经度

	@ApiModelProperty(value = "仓房纬度")
	private	String wd;	//db_column:wd	note:仓房纬度

	@ApiModelProperty(value = "操作标志")
	private	String czbz;	//db_column:czbz	note:操作标志
	
	@ApiModelProperty(value = "储粮方式")
	private	String clfs;	//db_column:czbz	note:操作标志
	
	@ApiModelProperty(value = "保管员")
	private	String bgr;	//db_column:czbz	note:操作标志
	
	@ApiModelProperty(value = "品种")
	private	String pzbmArrStr;	
	@ApiModelProperty(value = "实际数量")
	private	Float qmkcArrStr = 0f;	
	@ApiModelProperty(value = "等级")
	private	String djbmArrStr;
	@ApiModelProperty(value = "性质")
	private	String lsxzbmArrStr;
	@ApiModelProperty(value = "库存数量")
	private	Float qmkc = 0f;
	@ApiModelProperty(value = "库存数量显示带吨的单位")
	private	String qmkcdw;

	@ApiModelProperty(value = "收获年度")
	private	String shnd;

	@ApiModelProperty(value = "质量等级")
	private	String djbm;

	@ApiModelProperty(value = "粮食品种编码")
	private	String pzbm;	//db_column:pzbm	note:粮食品种编码

	@ApiModelProperty(value = "粮食性质编码")
	private	String lsxzbm;	//db_column:lsxzbm	note:粮食性质编码

	@ApiModelProperty(value = "是否安装摄像头")
	private	String isSXT;
	
	private String bgy; // 保管员
	
	private String hwzt;  // 货位状态

}